export interface ErpMappingVO {
  /**
   * 映射ID
   */
  mappingId: string | number;

  /**
   * 配置ID
   */
  configId: string | number;

  /**
   * 业务类型
   */
  businessType: string;

  /**
   * ERP接口地址
   */
  erpApiUrl: string;

  /**
   * 请求方法(GET POST)
   */
  erpMethod: string;

  /**
   * 请求参数模板
   */
  erpParams: string;

  /**
   * 本地接口地址
   */
  localApiUrl: string;

  /**
   * 本地请求方法
   */
  localMethod: string;

  /**
   * 字段映射关系
   */
  fieldMapping: string;

  /**
   * 是否需要token(0不需要 1需要)
   */
  needToken: string;

  /**
   * 激活标识（1是 0否）
   */
  activeFlag: string;

  /**
   * 备注
   */
  remark: string;

}

export interface ErpMappingForm extends BaseEntity {
  /**
   * 映射ID
   */
  mappingId?: string | number;

  /**
   * 配置ID
   */
  configId?: string | number;

  /**
   * 业务类型
   */
  businessType?: string;

  /**
   * ERP接口地址
   */
  erpApiUrl?: string;

  /**
   * 请求方法(GET POST)
   */
  erpMethod?: string;

  /**
   * 请求参数模板
   */
  erpParams?: string;

  /**
   * 本地接口地址
   */
  localApiUrl?: string;

  /**
   * 本地请求方法
   */
  localMethod?: string;

  /**
   * 字段映射关系
   */
  fieldMapping?: string;

  /**
   * 是否需要token(0不需要 1需要)
   */
  needToken?: string;

  /**
   * 激活标识（1是 0否）
   */
  activeFlag?: string;

  /**
   * 备注
   */
  remark?: string;

}

export interface ErpMappingQuery extends PageQuery {

  /**
   * 映射ID
   */
  mappingId?: string | number;

  /**
   * 配置ID
   */
  configId?: string | number;

  /**
   * 业务类型
   */
  businessType?: string;

  /**
   * ERP接口地址
   */
  erpApiUrl?: string;

  /**
   * 请求方法(GET POST)
   */
  erpMethod?: string;

  /**
   * 请求参数模板
   */
  erpParams?: string;

  /**
   * 本地接口地址
   */
  localApiUrl?: string;

  /**
   * 本地请求方法
   */
  localMethod?: string;

  /**
   * 字段映射关系
   */
  fieldMapping?: string;

  /**
   * 是否需要token(0不需要 1需要)
   */
  needToken?: string;

  /**
   * 激活标识（1是 0否）
   */
  activeFlag?: string;

    /**
     * 日期范围参数
     */
    params?: any;
}



