export interface ErpTokenVO {
  /**
   * TokenID
   */
  tokenId: string | number;

  /**
   * 配置ID
   */
  configId: string | number;

  /**
   * 访问令牌
   */
  accessToken: string;

  /**
   * 刷新令牌(预留字段)
   */
  refreshToken: string;

  /**
   * 令牌类型(Bearer Basic JWT)
   */
  tokenType: string;

  /**
   * 过期时间(秒)
   */
  expiresIn: number;

  /**
   * 过期时间点
   */
  expireTime: string;

}

export interface ErpTokenForm extends BaseEntity {
  /**
   * TokenID
   */
  tokenId?: string | number;

  /**
   * 配置ID
   */
  configId?: string | number;

  /**
   * 访问令牌
   */
  accessToken?: string;

  /**
   * 刷新令牌(预留字段)
   */
  refreshToken?: string;

  /**
   * 令牌类型(Bearer Basic JWT)
   */
  tokenType?: string;

  /**
   * 过期时间(秒)
   */
  expiresIn?: number;

  /**
   * 过期时间点
   */
  expireTime?: string;

}

export interface ErpTokenQuery extends PageQuery {

  /**
   * TokenID
   */
  tokenId?: string | number;

  /**
   * 配置ID
   */
  configId?: string | number;

  /**
   * 访问令牌
   */
  accessToken?: string;

  /**
   * 刷新令牌(预留字段)
   */
  refreshToken?: string;

  /**
   * 令牌类型(Bearer Basic JWT)
   */
  tokenType?: string;

  /**
   * 过期时间(秒)
   */
  expiresIn?: number;

  /**
   * 过期时间点
   */
  expireTime?: string;

    /**
     * 日期范围参数
     */
    params?: any;
}



