export interface DmsRealtimeStatusHistoryVO {
  /**
   * 主键标识
   */
  historyId: string | number;

  /**
   * 设备实时状态ID，关联dms_realtime_status的status_id
   */
  statusId: string | number;

  /**
   * 设备ID，关联prod_base_machine_info的machine_id
   */
  machineId: string | number;

  /**
   * 设备状态编号
   */
  statusCode: string;

  /**
   * 设备状态名称
   */
  statusName: string;

  /**
   * 设备状态值
   */
  statusValue: string;

  /**
   * 同步时间
   */
  syncTime: string;

}

export interface DmsRealtimeStatusHistoryForm extends BaseEntity {
  /**
   * 主键标识
   */
  historyId?: string | number;

  /**
   * 设备实时状态ID，关联dms_realtime_status的status_id
   */
  statusId?: string | number;

  /**
   * 设备ID，关联prod_base_machine_info的machine_id
   */
  machineId?: string | number;

  /**
   * 设备状态编号
   */
  statusCode?: string;

  /**
   * 设备状态名称
   */
  statusName?: string;

  /**
   * 设备状态值
   */
  statusValue?: string;

  /**
   * 同步时间
   */
  syncTime?: string;

}

export interface DmsRealtimeStatusHistoryQuery extends PageQuery {

  /**
   * 主键标识
   */
  historyId?: string | number;

  /**
   * 设备实时状态ID，关联dms_realtime_status的status_id
   */
  statusId?: string | number;

  /**
   * 设备ID，关联prod_base_machine_info的machine_id
   */
  machineId?: string | number;

  /**
   * 设备状态编号
   */
  statusCode?: string;

  /**
   * 设备状态名称
   */
  statusName?: string;

  /**
   * 设备状态值
   */
  statusValue?: string;

  /**
   * 同步时间
   */
  syncTime?: string;

    /**
     * 日期范围参数
     */
    params?: any;
}



