export interface AlarmRuleVO {
  /**
   * 报警规则ID，主键
   */
  alarmRuleId: string | number;

  /**
   * 规则名称
   */
  alarmRuleName: string;

  /**
   * 报警级别，关联表hw_alarm_level字段alarm_level_id
   */
  alarmLevelId: string | number;

  /**
   * 报警类型，关联表hw_alarm_type字段alarm_type_id
   */
  alarmTypeId: string | number;

  /**
   * 规则类型（1、设备模型，2、设备）
   */
  ruleType: string;

  /**
   * 关联表hw_device字段device_id。
   */
  ruleDeviceId: string | number;

  /**
   * 关联表hw_device_mode字段device_mode_id；
   */
  ruleDeviceModeId: string | number;

  /**
   * 一共有几个属性规则
   */
  ruleFunctionTotal: number;

  /**
   * 表达式，例如:{}>60 or {}<-88
   */
  triggerExpression: string;

  /**
   * 联动标识（1、是，0、否）
   */
  linkFlag: string;

  /**
   * 报警启用状态(1、是，0、否）
   */
  alarmRuleStatus: string;

  /**
   * 报警推送标识(1、是，0、否）
   */
  alarmPushFlag: string;

  /**
   * 报警推送内容
   */
  alarmPushContent: string;

  /**
   * 恢复正常推送内容
   */
  alarmRecoverContent: string;

  /**
   * 时间范围（单位：秒）
   */
  triggerTimeFrame: number;

  /**
   * 触发阈值次数
   */
  triggerNumber: number;

  /**
   * 触发死区
   */
  triggerDeadzone: number;

  /**
   * 描述
   */
  remark: string;

}

export interface AlarmRuleForm extends BaseEntity {
  /**
   * 报警规则ID，主键
   */
  alarmRuleId?: string | number;

  /**
   * 规则名称
   */
  alarmRuleName?: string;

  /**
   * 报警级别，关联表hw_alarm_level字段alarm_level_id
   */
  alarmLevelId?: string | number;

  /**
   * 报警类型，关联表hw_alarm_type字段alarm_type_id
   */
  alarmTypeId?: string | number;

  /**
   * 规则类型（1、设备模型，2、设备）
   */
  ruleType?: string;

  /**
   * 关联表hw_device字段device_id。
   */
  ruleDeviceId?: string | number;

  /**
   * 关联表hw_device_mode字段device_mode_id；
   */
  ruleDeviceModeId?: string | number;

  /**
   * 一共有几个属性规则
   */
  ruleFunctionTotal?: number;

  /**
   * 表达式，例如:{}>60 or {}<-88
   */
  triggerExpression?: string;

  /**
   * 联动标识（1、是，0、否）
   */
  linkFlag?: string;

  /**
   * 报警启用状态(1、是，0、否）
   */
  alarmRuleStatus?: string;

  /**
   * 报警推送标识(1、是，0、否）
   */
  alarmPushFlag?: string;

  /**
   * 报警推送内容
   */
  alarmPushContent?: string;

  /**
   * 恢复正常推送内容
   */
  alarmRecoverContent?: string;

  /**
   * 时间范围（单位：秒）
   */
  triggerTimeFrame?: number;

  /**
   * 触发阈值次数
   */
  triggerNumber?: number;

  /**
   * 触发死区
   */
  triggerDeadzone?: number;

  /**
   * 描述
   */
  remark?: string;

}

export interface AlarmRuleQuery extends PageQuery {

  /**
   * 报警规则ID，主键
   */
  alarmRuleId?: string | number;

  /**
   * 规则名称
   */
  alarmRuleName?: string;

  /**
   * 报警级别，关联表hw_alarm_level字段alarm_level_id
   */
  alarmLevelId?: string | number;

  /**
   * 报警类型，关联表hw_alarm_type字段alarm_type_id
   */
  alarmTypeId?: string | number;

  /**
   * 规则类型（1、设备模型，2、设备）
   */
  ruleType?: string;

  /**
   * 关联表hw_device字段device_id。
   */
  ruleDeviceId?: string | number;

  /**
   * 关联表hw_device_mode字段device_mode_id；
   */
  ruleDeviceModeId?: string | number;

  /**
   * 一共有几个属性规则
   */
  ruleFunctionTotal?: number;

  /**
   * 表达式，例如:{}>60 or {}<-88
   */
  triggerExpression?: string;

  /**
   * 联动标识（1、是，0、否）
   */
  linkFlag?: string;

  /**
   * 报警启用状态(1、是，0、否）
   */
  alarmRuleStatus?: string;

  /**
   * 报警推送标识(1、是，0、否）
   */
  alarmPushFlag?: string;

  /**
   * 报警推送内容
   */
  alarmPushContent?: string;

  /**
   * 恢复正常推送内容
   */
  alarmRecoverContent?: string;

  /**
   * 时间范围（单位：秒）
   */
  triggerTimeFrame?: number;

  /**
   * 触发阈值次数
   */
  triggerNumber?: number;

  /**
   * 触发死区
   */
  triggerDeadzone?: number;

    /**
     * 日期范围参数
     */
    params?: any;
}



