export interface BaseAlarmInfoVO {
  /**
   * 报警信息ID
   */
  alarmInfoId: string | number;

  /**
   * 报警信息类型（1、设备报警，3、离线报警）
   */
  alarmInfoType: string;

  /**
   * 报警信息类型是1关联表alarm_rule的字段alarm_rule_id；报警信息类型是3关联表hw_offline_rule的字段offline_rule_id；
   */
  alarmReleatedId: string | number;

  /**
   * 报警设备ID，关联hw_device表的device_id字段
   */
  deviceId: string | number;

  /**
   * 报警内容
   */
  alarmContent: string;

  /**
   * 报警级别，关联hw_alarm_level的字段alarm_level_id，报警信息类型为1、2和3时保存
   */
  alarmLevelId: string | number;

  /**
   * 报警类型，关联hw_alarm_type的字段alarm_type_id，报警信息类型为1和2时保存
   */
  alarmTypeId: string | number;

  /**
   * 报警方式（1云端处理，2终端上报）
   */
  alarmMode: string;

  /**
   * 报警状态（0、未处理（报警中）） 1、已处理 2已恢复）
   */
  alarmStatus: string;

  /**
   * 实际报警开始时间
   */
  alarmBeginTime: string;

  /**
   * 实际报警结束时间
   */
  alarmEndTime: string;

  /**
   * 人工处理时间
   */
  handleTime: string;

  /**
   * 报警类型名称
   */
  alarmTypeName: string;//join映射字段

  /**
   * 报警级别名称
   */
   alarmLevelName: string;//join映射字段


   releateadContent: string;//join映射字段,预留字段

}

export interface BaseAlarmInfoForm extends BaseEntity {
  /**
   * 报警信息ID
   */
  alarmInfoId?: string | number;

  /**
   * 报警信息类型（1、设备报警，3、离线报警）
   */
  alarmInfoType?: string;

  /**
   * 报警信息类型是1关联表alarm_rule的字段alarm_rule_id；报警信息类型是3关联表hw_offline_rule的字段offline_rule_id；
   */
  alarmReleatedId?: string | number;

  /**
   * 报警设备ID，关联hw_device表的device_id字段
   */
  deviceId?: string | number;

  /**
   * 报警内容
   */
  alarmContent?: string;

  /**
   * 报警级别，关联hw_alarm_level的字段alarm_level_id，报警信息类型为1、2和3时保存
   */
  alarmLevelId?: string | number;

  /**
   * 报警类型，关联hw_alarm_type的字段alarm_type_id，报警信息类型为1和2时保存
   */
  alarmTypeId?: string | number;

  /**
   * 报警方式（1云端处理，2终端上报）
   */
  alarmMode?: string;

  /**
   * 报警状态（0、未处理（报警中）） 1、已处理 2已恢复）
   */
  alarmStatus?: string;

  /**
   * 实际报警开始时间
   */
  alarmBeginTime?: string;

  /**
   * 实际报警结束时间
   */
  alarmEndTime?: string;

  /**
   * 人工处理时间
   */
  handleTime?: string;

  /**
   * 报警类型名称
   */
  alarmTypeName?: string;//join映射字段

  /**
   * 报警级别名称
   */
  alarmLevelName?: string;//join映射字段


  releateadContent?: string;//join映射字段,预留字段

}

export interface BaseAlarmInfoQuery extends PageQuery {

  /**
   * 报警信息ID
   */
  alarmInfoId?: string | number;

  /**
   * 报警信息类型（1、设备报警，3、离线报警）
   */
  alarmInfoType?: string;

  /**
   * 报警信息类型是1关联表alarm_rule的字段alarm_rule_id；报警信息类型是3关联表hw_offline_rule的字段offline_rule_id；
   */
  alarmReleatedId?: string | number;

  /**
   * 报警设备ID，关联hw_device表的device_id字段
   */
  deviceId?: string | number;

  /**
   * 报警内容
   */
  alarmContent?: string;

  /**
   * 报警级别，关联hw_alarm_level的字段alarm_level_id，报警信息类型为1、2和3时保存
   */
  alarmLevelId?: string | number;

  /**
   * 报警类型，关联hw_alarm_type的字段alarm_type_id，报警信息类型为1和2时保存
   */
  alarmTypeId?: string | number;

  /**
   * 报警方式（1云端处理，2终端上报）
   */
  alarmMode?: string;

  /**
   * 报警状态（0、未处理（报警中）） 1、已处理 2已恢复）
   */
  alarmStatus?: string;

  /**
   * 实际报警开始时间
   */
  alarmBeginTime?: string;

  /**
   * 实际报警结束时间
   */
  alarmEndTime?: string;

  /**
   * 人工处理时间
   */
  handleTime?: string;

    /**
     * 日期范围参数
     */
    params?: any;

  /**
   * 报警类型名称
   */
  alarmTypeName?: string;//join映射字段

  /**
   * 报警级别名称
   */
  alarmLevelName?: string;//join映射字段


  releateadContent?: string;//join映射字段,预留字段
}



