import request from '@/utils/request';
import { AxiosPromise } from 'axios';
import { BaseDeviceCategoryVO, BaseDeviceCategoryForm, BaseDeviceCategoryQuery } from '@/api/dms/baseDeviceCategory/types';

/**
 * 查询设备大类信息列表
 * @param query
 * @returns {*}
 */

export const listBaseDeviceCategoryInDMS = (query?: BaseDeviceCategoryQuery): AxiosPromise<BaseDeviceCategoryVO[]> => {
  return request({
    url: '/dms/baseDeviceCategory/list',
    method: 'get',
    params: query
  });
};

/**
 * 查询设备大类信息详细
 * @param deviceCategoryId
 */
export const getBaseDeviceCategoryInDMS = (deviceCategoryId: string | number): AxiosPromise<BaseDeviceCategoryVO> => {
  return request({
    url: '/dms/baseDeviceCategory/' + deviceCategoryId,
    method: 'get'
  });
};

/**
 * 新增设备大类信息
 * @param data
 */
/*export const addBaseDeviceCategoryInDMS = (data: BaseDeviceCategoryForm) => {
  return request({
    url: '/dms/baseDeviceCategory',
    method: 'post',
    data: data
  });
};*/

/**
 * 修改设备大类信息
 * @param data
 */
/*export const updateBaseDeviceCategoryInDMS = (data: BaseDeviceCategoryForm) => {
  return request({
    url: '/dms/baseDeviceCategory',
    method: 'put',
    data: data
  });
};*/

/**
 * 删除设备大类信息
 * @param deviceCategoryId
 */
/*export const delBaseDeviceCategoryInDMS = (deviceCategoryId: string | number | Array<string | number>) => {
  return request({
    url: '/dms/baseDeviceCategory/' + deviceCategoryId,
    method: 'delete'
  });
};*/


/**
 * 下拉框查询设备大类信息列表
 * @param query
 * @returns {*}
 */
export function getBaseDeviceCategoryListInDMS (query) {
    return request({
        url: '/dms/baseDeviceCategory/getBaseDeviceCategoryList',
        method: 'get',
        params: query
    });
};
