export interface DmsBaseDeviceBomVO {
  /**
   * 主键标识
   */
  deviceBomId: string | number;

  /**
   * 父级标识
   */
  parentId: string | number;

  /**
   * 设备ID，关联prod_base_machine_info的machine_id
   */
  machineId: string | number;

  /**
   * BOM数量
   */
  bomAmount: number;

  /**
   * 祖级列表
   */
  ancestors: string;

  /**
   * 激活标识（1是 0否）
   */
  activeFlag: string;

  /**
   * 备注
   */
  remark: string;

  /**
   * 设备名称
   */
  machineName: string;//join

    /**
     * 子对象
     */
    children: DmsBaseDeviceBomVO[];
}

export interface DmsBaseDeviceBomForm extends BaseEntity {
  /**
   * 主键标识
   */
  deviceBomId?: string | number;

  /**
   * 父级标识
   */
  parentId?: string | number;

  /**
   * 设备ID，关联prod_base_machine_info的machine_id
   */
  machineId?: string | number;

  /**
   * BOM数量
   */
  bomAmount?: number;

  /**
   * 祖级列表
   */
  ancestors?: string;

  /**
   * 激活标识（1是 0否）
   */
  activeFlag?: string;

  /**
   * 备注
   */
  remark?: string;

  /**
   * 设备名称
   */
  machineName?: string;//join

}

export interface DmsBaseDeviceBomQuery {

  /**
   * 主键标识
   */
  deviceBomId?: string | number;

  /**
   * 父级标识
   */
  parentId?: string | number;

  /**
   * 设备ID，关联prod_base_machine_info的machine_id
   */
  machineId?: string | number;

  /**
   * BOM数量
   */
  bomAmount?: number;

  /**
   * 祖级列表
   */
  ancestors?: string;

  /**
   * 激活标识（1是 0否）
   */
  activeFlag?: string;

    /**
     * 日期范围参数
     */
    params?: any;

  /**
   * 设备名称
   */
  machineName?: string;//join

}



