export interface DmsBaseInspectStandardVO {
  /**
   * 主键标识
   */
  inspectStandardId: string | number;

  /**
   * 标准编号
   */
  standardCode: string;

  /**
   * 标准名称
   */
  standardName: string;

  /**
   * 巡检目的
   */
  inspectObjective: string;

  /**
   * 巡检项目ID，关联dms_base_inspect_project的inspect_project_id
   */
  inspectProjectId: string | number;

  /**
   * 检查项总数
   */
  inspectItemCount: number;

  /**
   * 激活标识（1是 0否）
   */
  activeFlag: string;

  /**
   * 备注
   */
  remark: string;

  /**
   * 巡检项目编号
   */
  inspectProjectCode: string;

}

export interface DmsBaseInspectStandardForm extends BaseEntity {
  /**
   * 主键标识
   */
  inspectStandardId?: string | number;

  /**
   * 标准编号
   */
  standardCode?: string;

  /**
   * 标准名称
   */
  standardName?: string;

  /**
   * 巡检目的
   */
  inspectObjective?: string;

  /**
   * 巡检项目ID，关联dms_base_inspect_project的inspect_project_id
   */
  inspectProjectId?: string | number;

  /**
   * 检查项总数
   */
  inspectItemCount?: number;

  /**
   * 激活标识（1是 0否）
   */
  activeFlag?: string;

  /**
   * 备注
   */
  remark?: string;

  /**
   * 巡检项目编号
   */
  inspectProjectCode?: string;

}

export interface DmsBaseInspectStandardQuery extends PageQuery {

  /**
   * 主键标识
   */
  inspectStandardId?: string | number;

  /**
   * 标准编号
   */
  standardCode?: string;

  /**
   * 标准名称
   */
  standardName?: string;

  /**
   * 巡检目的
   */
  inspectObjective?: string;

  /**
   * 巡检项目ID，关联dms_base_inspect_project的inspect_project_id
   */
  inspectProjectId?: string | number;

  /**
   * 检查项总数
   */
  inspectItemCount?: number;

  /**
   * 激活标识（1是 0否）
   */
  activeFlag?: string;

    /**
     * 日期范围参数
     */
    params?: any;

  /**
   * 巡检项目编号
   */
  inspectProjectCode?: string;
}



