export interface DmsBaseLubeStandardVO {
  /**
   * 主键标识
   */
  lubeStandardId: string | number;

  /**
   * 标准编号
   */
  lubeStandardCode: string;

  /**
   * 设备类型ID，关联base_device_type的device_type_id
   */
  deviceTypeId: string | number;

  /**
   * 润滑标准
   */
  lubeProtocol: string;

  /**
   * 操作描述
   */
  operationDescription: string;

  /**
   * 备注
   */
  remark: string;

  /**
   * 激活标识（1是 0否）
   */
  activeFlag: string;


  /**
   * 设备类型
   */
  deviceTypeName: string;//JOIN

}

export interface DmsBaseLubeStandardForm extends BaseEntity {
  /**
   * 主键标识
   */
  lubeStandardId?: string | number;

  /**
   * 标准编号
   */
  lubeStandardCode?: string;

  /**
   * 设备类型ID，关联base_device_type的device_type_id
   */
  deviceTypeId?: string | number;

  /**
   * 润滑标准
   */
  lubeProtocol?: string;

  /**
   * 操作描述
   */
  operationDescription?: string;

  /**
   * 备注
   */
  remark?: string;

  /**
   * 激活标识（1是 0否）
   */
  activeFlag?: string;


  /**
   * 设备类型
   */
  deviceTypeName?: string;//JOIN

}

export interface DmsBaseLubeStandardQuery extends PageQuery {

  /**
   * 主键标识
   */
  lubeStandardId?: string | number;

  /**
   * 标准编号
   */
  lubeStandardCode?: string;

  /**
   * 设备类型ID，关联base_device_type的device_type_id
   */
  deviceTypeId?: string | number;

  /**
   * 润滑标准
   */
  lubeProtocol?: string;

  /**
   * 操作描述
   */
  operationDescription?: string;

  /**
   * 激活标识（1是 0否）
   */
  activeFlag?: string;

    /**
     * 日期范围参数
     */
    params?: any;

  /**
   * 设备类型
   */
  deviceTypeName?: string;//JOIN
}



