export interface DmsBaseLubeStationVO {
  /**
   * 主键标识
   */
  lubeStationId: string | number;

  /**
   * 设备类型ID，关联base_device_type的device_type_id
   */
  deviceTypeId: string | number;

  /**
   * 润滑标准ID，关联润滑标准信息主键
   */
  lubeStandardId: string | number;

  /**
   * 部位编号
   */
  lubeStationCode: string;

  /**
   * 部位名称
   */
  lubeStationName: string;

  /**
   * 备注
   */
  remark: string;

  /**
   * 激活标识（1是 0否）
   */
  activeFlag: string;


  /**
   * 设备类型
   */
  deviceTypeName: string;//JOIN

  /**
   * 润滑标准
   */
  lubeStandardCode: string;//JOIN

}

export interface DmsBaseLubeStationForm extends BaseEntity {
  /**
   * 主键标识
   */
  lubeStationId?: string | number;

  /**
   * 设备类型ID，关联base_device_type的device_type_id
   */
  deviceTypeId?: string | number;

  /**
   * 润滑标准ID，关联润滑标准信息主键
   */
  lubeStandardId?: string | number;

  /**
   * 部位编号
   */
  lubeStationCode?: string;

  /**
   * 部位名称
   */
  lubeStationName?: string;

  /**
   * 备注
   */
  remark?: string;

  /**
   * 激活标识（1是 0否）
   */
  activeFlag?: string;

  /**
   * 设备类型
   */
  deviceTypeName?: string;//JOIN

  /**
   * 润滑标准
   */
  lubeStandardCode?: string;//JOIN

}

export interface DmsBaseLubeStationQuery extends PageQuery {

  /**
   * 主键标识
   */
  lubeStationId?: string | number;

  /**
   * 设备类型ID，关联base_device_type的device_type_id
   */
  deviceTypeId?: string | number;

  /**
   * 润滑标准ID，关联润滑标准信息主键
   */
  lubeStandardId?: string | number;

  /**
   * 部位编号
   */
  lubeStationCode?: string;

  /**
   * 部位名称
   */
  lubeStationName?: string;

  /**
   * 激活标识（1是 0否）
   */
  activeFlag?: string;

    /**
     * 日期范围参数
     */
    params?: any;

  /**
   * 设备类型
   */
  deviceTypeName?: string;//JOIN

  /**
   * 润滑标准
   */
  lubeStandardCode?: string;//JOIN

}



