export interface DmsBaseMaintStandardVO {
  /**
   * 主键标识
   */
  maintStandardId: string | number;

  /**
   * 标准编号
   */
  maintStandardCode: string;

  /**
   * 设备类型ID，关联base_device_type的device_type_id
   */
  deviceTypeId: string | number;

  /**
   * 保养标准
   */
  maintProtocol: string;

  /**
   * 操作描述
   */
  operationDescription: string;

  /**
   * 备注
   */
  remark: string;

  /**
   * 激活标识（1是 0否）
   */
  activeFlag: string;

  deviceTypeName: string;//JOIN

}

export interface DmsBaseMaintStandardForm extends BaseEntity {
  /**
   * 主键标识
   */
  maintStandardId?: string | number;

  /**
   * 标准编号
   */
  maintStandardCode?: string;

  /**
   * 设备类型ID，关联base_device_type的device_type_id
   */
  deviceTypeId?: string | number;

  /**
   * 保养标准
   */
  maintProtocol?: string;

  /**
   * 操作描述
   */
  operationDescription?: string;

  /**
   * 备注
   */
  remark?: string;

  /**
   * 激活标识（1是 0否）
   */
  activeFlag?: string;

  deviceTypeName?: string;//JOIN

}

export interface DmsBaseMaintStandardQuery extends PageQuery {

  /**
   * 主键标识
   */
  maintStandardId?: string | number;

  /**
   * 标准编号
   */
  maintStandardCode?: string;

  /**
   * 设备类型ID，关联base_device_type的device_type_id
   */
  deviceTypeId?: string | number;

  /**
   * 保养标准
   */
  maintProtocol?: string;

  /**
   * 操作描述
   */
  operationDescription?: string;

  /**
   * 激活标识（1是 0否）
   */
  activeFlag?: string;

    /**
     * 日期范围参数
     */
    params?: any;

  deviceTypeName?: string;//JOIN
}



