export interface DmsBillsInspectInstanceVO {
  /**
   * 主键标识
   */
  inspectInstanceId: string | number;

  /**
   * 计划ID，关联dms_plan_inspect的plan_inspect_id
   */
  planInspectId: string | number;

  /**
   * 流程定义ID，关联wf_definition_config的id
   */
  wfDefinitionId: string | number;

  /**
   * 检查类型(1巡检 2点检)
   */
  inspectType: string;

  /**
   * 巡检线路ID，关联dms_base_inspect_route的inspect_route_id
   */
  inspectRouteId: string | number;

  /**
   * 巡检编号
   */
  billsInspectCode: string;

  /**
   * 计划开始时间
   */
  planBeginTime: string;

  /**
   * 计划结束时间;超时报警
   */
  planEndTime: string;

  /**
   * 实际开始时间
   */
  realBeginTime: string;

  /**
   * 实际结束时间
   */
  realEndTime: string;

  /**
   * 巡检状态（1待巡检 2巡检中 3完成）
   */
  inspectStatus: string;

  /**
   * 备注
   */
  remark: string;

}

export interface DmsBillsInspectInstanceForm extends BaseEntity {
  /**
   * 主键标识
   */
  inspectInstanceId?: string | number;

  /**
   * 计划ID，关联dms_plan_inspect的plan_inspect_id
   */
  planInspectId?: string | number;

  /**
   * 流程定义ID，关联wf_definition_config的id
   */
  wfDefinitionId?: string | number;

  /**
   * 检查类型(1巡检 2点检)
   */
  inspectType?: string;

  /**
   * 巡检线路ID，关联dms_base_inspect_route的inspect_route_id
   */
  inspectRouteId?: string | number;

  /**
   * 巡检编号
   */
  billsInspectCode?: string;

  /**
   * 计划开始时间
   */
  planBeginTime?: string;

  /**
   * 计划结束时间;超时报警
   */
  planEndTime?: string;

  /**
   * 实际开始时间
   */
  realBeginTime?: string;

  /**
   * 实际结束时间
   */
  realEndTime?: string;

  /**
   * 巡检状态（1待巡检 2巡检中 3完成）
   */
  inspectStatus?: string;

  /**
   * 备注
   */
  remark?: string;

}

export interface DmsBillsInspectInstanceQuery extends PageQuery {

  /**
   * 主键标识
   */
  inspectInstanceId?: string | number;

  /**
   * 计划ID，关联dms_plan_inspect的plan_inspect_id
   */
  planInspectId?: string | number;

  /**
   * 流程定义ID，关联wf_definition_config的id
   */
  wfDefinitionId?: string | number;

  /**
   * 检查类型(1巡检 2点检)
   */
  inspectType?: string;

  /**
   * 巡检线路ID，关联dms_base_inspect_route的inspect_route_id
   */
  inspectRouteId?: string | number;

  /**
   * 巡检编号
   */
  billsInspectCode?: string;

  /**
   * 计划开始时间
   */
  planBeginTime?: string;

  /**
   * 计划结束时间;超时报警
   */
  planEndTime?: string;

  /**
   * 实际开始时间
   */
  realBeginTime?: string;

  /**
   * 实际结束时间
   */
  realEndTime?: string;

  /**
   * 巡检状态（1待巡检 2巡检中 3完成）
   */
  inspectStatus?: string;

    /**
     * 日期范围参数
     */
    params?: any;
}



