export interface DmsBillsLubeDetailVO {
  /**
   * 主键标识
   */
  billsLubeDetailId: string | number;

  /**
   * 润滑工单ID，关联润滑工单主键
   */
  lubeInstanceId: string | number;

  /**
   * 设备ID，关联prod_base_machine_info的machine_id
   */
  machineId: string | number;

  /**
   * 润滑部位,关联润滑部位主键
   */
  lubeStationId: string | number;

  /**
   * 润滑标准ID，关联润滑标准主键
   */
  lubeStandardId: string | number;

  /**
   * 操作描述
   */
  operationDescription: string;

  /**
   * 润滑状态（1待润滑 2润滑中 3已完成）
   */
  maintStatus: string;

  /**
   * 润滑开始时间
   */
  beginTime: string;

  /**
   * 润滑结束时间
   */
  endTime: string;

  /**
   * 激活标识（1是 0否）
   */
  activeFlag: string;

  /**
   * 备注
   */
  remark: string;

}

export interface DmsBillsLubeDetailForm extends BaseEntity {
  /**
   * 主键标识
   */
  billsLubeDetailId?: string | number;

  /**
   * 润滑工单ID，关联润滑工单主键
   */
  lubeInstanceId?: string | number;

  /**
   * 设备ID，关联prod_base_machine_info的machine_id
   */
  machineId?: string | number;

  /**
   * 润滑部位,关联润滑部位主键
   */
  lubeStationId?: string | number;

  /**
   * 润滑标准ID，关联润滑标准主键
   */
  lubeStandardId?: string | number;

  /**
   * 操作描述
   */
  operationDescription?: string;

  /**
   * 润滑状态（1待润滑 2润滑中 3已完成）
   */
  maintStatus?: string;

  /**
   * 润滑开始时间
   */
  beginTime?: string;

  /**
   * 润滑结束时间
   */
  endTime?: string;

  /**
   * 激活标识（1是 0否）
   */
  activeFlag?: string;

  /**
   * 备注
   */
  remark?: string;

}

export interface DmsBillsLubeDetailQuery extends PageQuery {

  /**
   * 主键标识
   */
  billsLubeDetailId?: string | number;

  /**
   * 润滑工单ID，关联润滑工单主键
   */
  lubeInstanceId?: string | number;

  /**
   * 设备ID，关联prod_base_machine_info的machine_id
   */
  machineId?: string | number;

  /**
   * 润滑部位,关联润滑部位主键
   */
  lubeStationId?: string | number;

  /**
   * 润滑标准ID，关联润滑标准主键
   */
  lubeStandardId?: string | number;

  /**
   * 操作描述
   */
  operationDescription?: string;

  /**
   * 润滑状态（1待润滑 2润滑中 3已完成）
   */
  maintStatus?: string;

  /**
   * 润滑开始时间
   */
  beginTime?: string;

  /**
   * 润滑结束时间
   */
  endTime?: string;

  /**
   * 激活标识（1是 0否）
   */
  activeFlag?: string;

    /**
     * 日期范围参数
     */
    params?: any;
}



