export interface DmsBillsLubeInstanceActivityVO {
  /**
   * 润滑工单实例节点ID
   */
  instanceActivityId: string | number;

  /**
   * 润滑工单实例ID，关联dms_bills_lube_instance的lube_instance_id
   */
  lubeInstanceId: string | number;

  /**
   * 流程定义ID,关联wf_definition_config的id
   */
  wfDefinitionId: string | number;

  /**
   * 工单流程节点ID（关联wf_task_back_node的id）
   */
  wfNodeId: string | number;

  /**
   * 润滑组别;最后一步自动复制第1步的，可在第2步修改，修改保存后为第2步的记录，第1步为要求的，第2步为实际的
   */
  lubeGroup: string;

  /**
   * 润滑负责人;最后一步自动复制第1步的，可在第2步修改，修改保存后为第2步的记录，第1步为要求的，第2步为实际的
   */
  lubeSupervisor: string;

  /**
   * 润滑级别（1日常润滑 2月度润滑 3年度润滑）;最后一步自动复制第1步的，可在第2步修改，修改保存后为第2步的记录，第1步为要求的，第2步为实际的
   */
  lubeLevel: string;

  /**
   * 处理意见;第1步不显示，从第2步只显示此字段
   */
  processHandleResolution: string;

  /**
   * 状态(0已结束 1执行中 2待接取 3已转发）
   */
  processHandleStatus: string;

  /**
   * 工单流程步骤顺序
   */
  processStepOrder: number;

  /**
   * 执行开始时间
   */
  startTime: string;

  /**
   * 执行结束时间
   */
  endTime: string;

  /**
   * 处理人ID（关联sys_user的user_id)
   */
  handleUserId: string | number;

  /**
   * 处理人
   */
  handleBy: string;

  /**
   * 处理时间
   */
  handleTime: string;

  /**
   * 转单人用户id或转发协助用户id
   */
  transferUserId: string | number;

  /**
   * 用户预留1
   */
  attr1: string;

  /**
   * 备注
   */
  remark: string;

}

export interface DmsBillsLubeInstanceActivityForm extends BaseEntity {
  /**
   * 润滑工单实例节点ID
   */
  instanceActivityId?: string | number;

  /**
   * 润滑工单实例ID，关联dms_bills_lube_instance的lube_instance_id
   */
  lubeInstanceId?: string | number;

  /**
   * 流程定义ID,关联wf_definition_config的id
   */
  wfDefinitionId?: string | number;

  /**
   * 工单流程节点ID（关联wf_task_back_node的id）
   */
  wfNodeId?: string | number;

  /**
   * 润滑组别;最后一步自动复制第1步的，可在第2步修改，修改保存后为第2步的记录，第1步为要求的，第2步为实际的
   */
  lubeGroup?: string;

  /**
   * 润滑负责人;最后一步自动复制第1步的，可在第2步修改，修改保存后为第2步的记录，第1步为要求的，第2步为实际的
   */
  lubeSupervisor?: string;

  /**
   * 润滑级别（1日常润滑 2月度润滑 3年度润滑）;最后一步自动复制第1步的，可在第2步修改，修改保存后为第2步的记录，第1步为要求的，第2步为实际的
   */
  lubeLevel?: string;

  /**
   * 处理意见;第1步不显示，从第2步只显示此字段
   */
  processHandleResolution?: string;

  /**
   * 状态(0已结束 1执行中 2待接取 3已转发）
   */
  processHandleStatus?: string;

  /**
   * 工单流程步骤顺序
   */
  processStepOrder?: number;

  /**
   * 执行开始时间
   */
  startTime?: string;

  /**
   * 执行结束时间
   */
  endTime?: string;

  /**
   * 处理人ID（关联sys_user的user_id)
   */
  handleUserId?: string | number;

  /**
   * 处理人
   */
  handleBy?: string;

  /**
   * 处理时间
   */
  handleTime?: string;

  /**
   * 转单人用户id或转发协助用户id
   */
  transferUserId?: string | number;

  /**
   * 用户预留1
   */
  attr1?: string;

  /**
   * 备注
   */
  remark?: string;

}

export interface DmsBillsLubeInstanceActivityQuery extends PageQuery {

  /**
   * 润滑工单实例节点ID
   */
  instanceActivityId?: string | number;

  /**
   * 润滑工单实例ID，关联dms_bills_lube_instance的lube_instance_id
   */
  lubeInstanceId?: string | number;

  /**
   * 流程定义ID,关联wf_definition_config的id
   */
  wfDefinitionId?: string | number;

  /**
   * 工单流程节点ID（关联wf_task_back_node的id）
   */
  wfNodeId?: string | number;

  /**
   * 润滑组别;最后一步自动复制第1步的，可在第2步修改，修改保存后为第2步的记录，第1步为要求的，第2步为实际的
   */
  lubeGroup?: string;

  /**
   * 润滑负责人;最后一步自动复制第1步的，可在第2步修改，修改保存后为第2步的记录，第1步为要求的，第2步为实际的
   */
  lubeSupervisor?: string;

  /**
   * 润滑级别（1日常润滑 2月度润滑 3年度润滑）;最后一步自动复制第1步的，可在第2步修改，修改保存后为第2步的记录，第1步为要求的，第2步为实际的
   */
  lubeLevel?: string;

  /**
   * 处理意见;第1步不显示，从第2步只显示此字段
   */
  processHandleResolution?: string;

  /**
   * 状态(0已结束 1执行中 2待接取 3已转发）
   */
  processHandleStatus?: string;

  /**
   * 工单流程步骤顺序
   */
  processStepOrder?: number;

  /**
   * 执行开始时间
   */
  startTime?: string;

  /**
   * 执行结束时间
   */
  endTime?: string;

  /**
   * 处理人ID（关联sys_user的user_id)
   */
  handleUserId?: string | number;

  /**
   * 处理人
   */
  handleBy?: string;

  /**
   * 处理时间
   */
  handleTime?: string;

  /**
   * 转单人用户id或转发协助用户id
   */
  transferUserId?: string | number;

  /**
   * 用户预留1
   */
  attr1?: string;

    /**
     * 日期范围参数
     */
    params?: any;
}



