export interface DmsBillsMaintDetailProjectVO {
  /**
   * 保养工单明细项目信息ID
   */
  maintDetailProjectId: string | number;

  /**
   * 保养工单明细ID
   */
  billsMaintDetailId: string | number;

  /**
   * 保养项目ID
   */
  maintProjectId: string | number;

  /**
   * 保养项目名称(冗余)
   */
  maintProjectName: string;

  /**
   * 保养项目描述
   */
  maintProjectDesc: string;

  /**
   * 保养项目状态（0待保养 1保养完成）
   */
  maintProjectStatus: string;

  /**
   * 备注
   */
  remark: string;

}

export interface DmsBillsMaintDetailProjectForm extends BaseEntity {
  /**
   * 保养工单明细项目信息ID
   */
  maintDetailProjectId?: string | number;

  /**
   * 保养工单明细ID
   */
  billsMaintDetailId?: string | number;

  /**
   * 保养项目ID
   */
  maintProjectId?: string | number;

  /**
   * 保养项目名称(冗余)
   */
  maintProjectName?: string;

  /**
   * 保养项目描述
   */
  maintProjectDesc?: string;

  /**
   * 保养项目状态（0待保养 1保养完成）
   */
  maintProjectStatus?: string;

  /**
   * 备注
   */
  remark?: string;

}

export interface DmsBillsMaintDetailProjectQuery extends PageQuery {

  /**
   * 保养工单明细项目信息ID
   */
  maintDetailProjectId?: string | number;

  /**
   * 保养工单明细ID
   */
  billsMaintDetailId?: string | number;

  /**
   * 保养项目ID
   */
  maintProjectId?: string | number;

  /**
   * 保养项目名称(冗余)
   */
  maintProjectName?: string;

  /**
   * 保养项目描述
   */
  maintProjectDesc?: string;

  /**
   * 保养项目状态（0待保养 1保养完成）
   */
  maintProjectStatus?: string;

    /**
     * 日期范围参数
     */
    params?: any;
}



