export interface DmsInspectInstanceDetailVO {
  /**
   * 主键标识
   */
  instanceDetailId: string | number;

  /**
   * 点巡检工单ID
   */
  inspectInstanceId: string | number;

  /**
   * 巡检步骤
   */
  lineStep: number;

  /**
   * 实际巡检步骤
   */
  realLineStep: number;

  /**
   * 设备ID，关联prod_base_machine_info的machine_id
   */
  machineId: string | number;

  /**
   * 巡检状态（1待巡检 2巡检中 3已完成）
   */
  instanceDetailStatus: string;

  /**
   * 巡检标准
   */
  inspectStandard: string;

  /**
   * 巡检描述
   */
  inspectDesc: string;

  /**
   * 设备状态（1正常 0异常）
   */
  inspectStatus: string;

  /**
   * 巡检开始时间
   */
  beginTime: string;

  /**
   * 巡检结束时间
   */
  endTime: string;

  /**
   * 备注
   */
  remark: string;

}

export interface DmsInspectInstanceDetailForm extends BaseEntity {
  /**
   * 主键标识
   */
  instanceDetailId?: string | number;

  /**
   * 点巡检工单ID
   */
  inspectInstanceId?: string | number;

  /**
   * 巡检步骤
   */
  lineStep?: number;

  /**
   * 实际巡检步骤
   */
  realLineStep?: number;

  /**
   * 设备ID，关联prod_base_machine_info的machine_id
   */
  machineId?: string | number;

  /**
   * 巡检状态（1待巡检 2巡检中 3已完成）
   */
  instanceDetailStatus?: string;

  /**
   * 巡检标准
   */
  inspectStandard?: string;

  /**
   * 巡检描述
   */
  inspectDesc?: string;

  /**
   * 设备状态（1正常 0异常）
   */
  inspectStatus?: string;

  /**
   * 巡检开始时间
   */
  beginTime?: string;

  /**
   * 巡检结束时间
   */
  endTime?: string;

  /**
   * 备注
   */
  remark?: string;

}

export interface DmsInspectInstanceDetailQuery extends PageQuery {

  /**
   * 主键标识
   */
  instanceDetailId?: string | number;

  /**
   * 点巡检工单ID
   */
  inspectInstanceId?: string | number;

  /**
   * 巡检步骤
   */
  lineStep?: number;

  /**
   * 实际巡检步骤
   */
  realLineStep?: number;

  /**
   * 设备ID，关联prod_base_machine_info的machine_id
   */
  machineId?: string | number;

  /**
   * 巡检状态（1待巡检 2巡检中 3已完成）
   */
  instanceDetailStatus?: string;

  /**
   * 巡检标准
   */
  inspectStandard?: string;

  /**
   * 巡检描述
   */
  inspectDesc?: string;

  /**
   * 设备状态（1正常 0异常）
   */
  inspectStatus?: string;

  /**
   * 巡检开始时间
   */
  beginTime?: string;

  /**
   * 巡检结束时间
   */
  endTime?: string;

    /**
     * 日期范围参数
     */
    params?: any;
}



