export interface DmsKnowledgeRepairVO {
  /**
   * 主键标识
   */
  knowledgeRepairId: string | number;

  /**
   * 经验编号
   */
  experienceCode: string;

  /**
   * 设备类型ID，关联dm_base_device_type的device_type_id
   */
  deviceTypeId: string | number;

  /**
   * 故障描述
   */
  faultDescription: string;

  /**
   * 涉及操作
   */
  designOperations: string;

  /**
   * 操作描述
   */
  operationsDescription: string;

  /**
   * 激活标识（1是 0否）
   */
  activeFlag: string;

  /**
   * 备注
   */
  remark: string;

  /**
   * 设备类型
   */
  deviceTypeName: string;//JOIN

}

export interface DmsKnowledgeRepairForm extends BaseEntity {
  /**
   * 主键标识
   */
  knowledgeRepairId?: string | number;

  /**
   * 经验编号
   */
  experienceCode?: string;

  /**
   * 设备类型ID，关联dm_base_device_type的device_type_id
   */
  deviceTypeId?: string | number;

  /**
   * 故障描述
   */
  faultDescription?: string;

  /**
   * 涉及操作
   */
  designOperations?: string;

  /**
   * 操作描述
   */
  operationsDescription?: string;

  /**
   * 激活标识（1是 0否）
   */
  activeFlag?: string;

  /**
   * 备注
   */
  remark?: string;

  /**
   * 设备类型
   */
  deviceTypeName?: string;//JOIN

}

export interface DmsKnowledgeRepairQuery extends PageQuery {

  /**
   * 主键标识
   */
  knowledgeRepairId?: string | number;

  /**
   * 经验编号
   */
  experienceCode?: string;

  /**
   * 设备类型ID，关联dm_base_device_type的device_type_id
   */
  deviceTypeId?: string | number;

  /**
   * 故障描述
   */
  faultDescription?: string;

  /**
   * 涉及操作
   */
  designOperations?: string;

  /**
   * 操作描述
   */
  operationsDescription?: string;

  /**
   * 激活标识（1是 0否）
   */
  activeFlag?: string;

    /**
     * 日期范围参数
     */
    params?: any;

  /**
   * 设备类型
   */
  deviceTypeName?: string;//JOIN

}



