import { number, string } from "vue-types";

export interface DmsPlanLubeVO {
  /**
   * 主键标识
   */
  planLubeId: string | number;

  /**
   * 计划编号
   */
  planLubeCode: string;

  /**
   * 润滑级别(1日常润滑 2月度润滑 3年度润滑)
   */
  lubeLevel: string;

  /**
   * 润滑组别
   */
  lubeGroup: string;

  /**
   * 润滑负责人
   */
  lubeSupervisor: string;

  /**
   * 本次润滑时间
   */
  lubeTime: string;

  /**
   * 时限（秒）
   */
  timeLimit: number;

  /**
   * 关联sj_job主键id
   */
  jobId: string | number;

  /**
   * 循环周期（预留字段）
   */
  cyclePeriod: string;

  /**
   * 创建方式（1人工创建 2自动创建）
   */
  createMethod: string;

  /**
   * 激活标识（1是 0否）
   */
  activeFlag: string;

  /**
   * 备注
   */
  remark: string;

  timeLimitDays: number;

  timeLimitHours: number;

  cronExpression: string;

}

export interface DmsPlanLubeForm extends BaseEntity {
  /**
   * 主键标识
   */
  planLubeId?: string | number;

  /**
   * 计划编号
   */
  planLubeCode?: string;

  /**
   * 润滑级别(1日常润滑 2月度润滑 3年度润滑)
   */
  lubeLevel?: string;

  /**
   * 润滑组别
   */
  lubeGroup?: string;

  /**
   * 润滑负责人
   */
  lubeSupervisor?: string;

  /**
   * 本次润滑时间
   */
  lubeTime?: string;

  /**
   * 时限（秒）
   */
  timeLimit?: number;

  /**
   * 关联sj_job主键id
   */
  jobId?: string | number;

  /**
   * 循环周期（预留字段）
   */
  cyclePeriod?: string;

  /**
   * 创建方式（1人工创建 2自动创建）
   */
  createMethod?: string;

  /**
   * 激活标识（1是 0否）
   */
  activeFlag?: string;

  /**
   * 备注
   */
  remark?: string;

  timeLimitDays?: number;

  timeLimitHours?: number;

  cronExpression?: string;

}

export interface DmsPlanLubeQuery extends PageQuery {

  /**
   * 主键标识
   */
  planLubeId?: string | number;

  /**
   * 计划编号
   */
  planLubeCode?: string;

  /**
   * 润滑级别(1日常润滑 2月度润滑 3年度润滑)
   */
  lubeLevel?: string;

  /**
   * 润滑组别
   */
  lubeGroup?: string;

  /**
   * 润滑负责人
   */
  lubeSupervisor?: string;

  /**
   * 本次润滑时间
   */
  lubeTime?: string;

  /**
   * 时限（秒）
   */
  timeLimit?: number;

  /**
   * 关联sj_job主键id
   */
  jobId?: string | number;

  /**
   * 循环周期（预留字段）
   */
  cyclePeriod?: string;

  /**
   * 创建方式（1人工创建 2自动创建）
   */
  createMethod?: string;

  /**
   * 激活标识（1是 0否）
   */
  activeFlag?: string;

    /**
     * 日期范围参数
     */
    params?: any;


  timeLimitDays?: number;

  timeLimitHours?: number;

  cronExpression?: string;
}



