export interface DmsPlanLubeDetailVO {
  /**
   * 主键标识
   */
  planLubeDetailId: string | number;

  /**
   * 计划ID，关联润滑计划ID
   */
  planLubeId: string | number;

  /**
   * 设备ID，关联dms_base_device_ledger的device_id
   */
  deviceId: string | number;

  /**
   * 润滑部位,关联润滑部位主键
   */
  lubeStationId: string | number;

  /**
   * 润滑标准ID，关联润滑标准主键
   */
  lubeStandardId: string | number;

  /**
   * 操作描述
   */
  operationDescription: string;

  /**
   * 激活标识（1是 0否）
   */
  activeFlag: string;

  /**
   * 备注
   */
  remark: string;

  /**
   * 设备名称
   */
  machineName: string;

  /**
   * 部位名称
   */
  lubeStationName: string;

  /**
   * 标准编号
   */
  lubeStandardCode: string;

}

export interface DmsPlanLubeDetailForm extends BaseEntity {
  /**
   * 主键标识
   */
  planLubeDetailId?: string | number;

  /**
   * 计划ID，关联润滑计划ID
   */
  planLubeId?: string | number;

  /**
   * 设备ID，关联dms_base_device_ledger的device_id
   */
  deviceId?: string | number;

  /**
   * 润滑部位,关联润滑部位主键
   */
  lubeStationId?: string | number;

  /**
   * 润滑标准ID，关联润滑标准主键
   */
  lubeStandardId?: string | number;

  /**
   * 操作描述
   */
  operationDescription?: string;

  /**
   * 激活标识（1是 0否）
   */
  activeFlag?: string;

  /**
   * 备注
   */
  remark?: string;

  /**
   * 设备名称
   */
  machineName?: string;

  /**
   * 部位名称
   */
  lubeStationName?: string;

  /**
   * 标准编号
   */
  lubeStandardCode?: string;

}

export interface DmsPlanLubeDetailQuery extends PageQuery {

  /**
   * 主键标识
   */
  planLubeDetailId?: string | number;

  /**
   * 计划ID，关联润滑计划ID
   */
  planLubeId?: string | number;

  /**
   * 设备ID，关联dms_base_device_ledger的device_id
   */
  deviceId?: string | number;

  /**
   * 润滑部位,关联润滑部位主键
   */
  lubeStationId?: string | number;

  /**
   * 润滑标准ID，关联润滑标准主键
   */
  lubeStandardId?: string | number;

  /**
   * 操作描述
   */
  operationDescription?: string;

  /**
   * 激活标识（1是 0否）
   */
  activeFlag?: string;

    /**
     * 日期范围参数
     */
    params?: any;

  /**
   * 设备名称
   */
  machineName?: string;

  /**
   * 部位名称
   */
  lubeStationName?: string;

  /**
   * 标准编号
   */
  lubeStandardCode?: string;

}



