export interface DmsPlanRepairDetailVO {
  /**
   * 主键标识
   */
  planRepairDetailId: string | number;

  /**
   * 计划ID，关联dms_plan_repair的plan_maint_id
   */
  planRepairId: string | number;

  /**
   * 检修计划明细类型(1设备 2设备类型)
   */
  repairDetailTargetType: string;

  /**
   * 检修计划明细ID,根据检修计划明细类型关联对应表的主键
   */
  repairDetailTargetId: string | number;

  /**
   * 故障类别（1设备损坏）
   */
  faultType: string;

  /**
   * 检修说明
   */
  repairDesc: string;

  /**
   * 检修标准
   */
  repairProtocol: string;

  /**
   * 操作描述
   */
  operationDescription: string;

}

export interface DmsPlanRepairDetailForm extends BaseEntity {
  /**
   * 主键标识
   */
  planRepairDetailId?: string | number;

  /**
   * 计划ID，关联dms_plan_repair的plan_maint_id
   */
  planRepairId?: string | number;

  /**
   * 检修计划明细类型(1设备 2设备类型)
   */
  repairDetailTargetType?: string;

  /**
   * 检修计划明细ID,根据检修计划明细类型关联对应表的主键
   */
  repairDetailTargetId?: string | number;

  /**
   * 故障类别（1设备损坏）
   */
  faultType?: string;

  /**
   * 检修说明
   */
  repairDesc?: string;

  /**
   * 检修标准
   */
  repairProtocol?: string;

  /**
   * 操作描述
   */
  operationDescription?: string;

}

export interface DmsPlanRepairDetailQuery extends PageQuery {

  /**
   * 主键标识
   */
  planRepairDetailId?: string | number;

  /**
   * 计划ID，关联dms_plan_repair的plan_maint_id
   */
  planRepairId?: string | number;

  /**
   * 检修计划明细类型(1设备 2设备类型)
   */
  repairDetailTargetType?: string;

  /**
   * 检修计划明细ID,根据检修计划明细类型关联对应表的主键
   */
  repairDetailTargetId?: string | number;

  /**
   * 故障类别（1设备损坏）
   */
  faultType?: string;

  /**
   * 检修说明
   */
  repairDesc?: string;

  /**
   * 检修标准
   */
  repairProtocol?: string;

  /**
   * 操作描述
   */
  operationDescription?: string;

    /**
     * 日期范围参数
     */
    params?: any;
}



