export interface DmsRecordLubeDetailVO {
  /**
   * 主键标识
   */
  recordLubeDetailId: string | number;

  /**
   * 润滑工单ID，关联润滑工单主键
   */
  recordLubeId: string | number;

  /**
   * 设备ID，关联prod_base_machine_info的machine_id
   */
  machineId: string | number;

  /**
   * 润滑部位ID，关联润滑部位主键
   */
  lubeStationId: string | number;

  /**
   * 润滑标准ID，关联润滑标准主键
   */
  lubeStandardId: string | number;

  /**
   * 操作描述
   */
  operationDescription: string;

  /**
   * 保养状态（1待保养 2保养中 3已完成）
   */
  maintStatus: number;

  /**
   * 备注
   */
  remark: string;

}

export interface DmsRecordLubeDetailForm extends BaseEntity {
  /**
   * 主键标识
   */
  recordLubeDetailId?: string | number;

  /**
   * 润滑工单ID，关联润滑工单主键
   */
  recordLubeId?: string | number;

  /**
   * 设备ID，关联prod_base_machine_info的machine_id
   */
  machineId?: string | number;

  /**
   * 润滑部位ID，关联润滑部位主键
   */
  lubeStationId?: string | number;

  /**
   * 润滑标准ID，关联润滑标准主键
   */
  lubeStandardId?: string | number;

  /**
   * 操作描述
   */
  operationDescription?: string;

  /**
   * 保养状态（1待保养 2保养中 3已完成）
   */
  maintStatus?: number;

  /**
   * 备注
   */
  remark?: string;

}

export interface DmsRecordLubeDetailQuery extends PageQuery {

  /**
   * 主键标识
   */
  recordLubeDetailId?: string | number;

  /**
   * 润滑工单ID，关联润滑工单主键
   */
  recordLubeId?: string | number;

  /**
   * 设备ID，关联prod_base_machine_info的machine_id
   */
  machineId?: string | number;

  /**
   * 润滑部位ID，关联润滑部位主键
   */
  lubeStationId?: string | number;

  /**
   * 润滑标准ID，关联润滑标准主键
   */
  lubeStandardId?: string | number;

  /**
   * 操作描述
   */
  operationDescription?: string;

  /**
   * 保养状态（1待保养 2保养中 3已完成）
   */
  maintStatus?: number;

    /**
     * 日期范围参数
     */
    params?: any;
}



