export interface DmsRepairInstanceVO {
  /**
   * 主键标识;此表不会长期保存
   */
  repairInstanceId: string | number;

  /**
   * 检修计划ID，关联dms_plan_repair的plan_repair_id
   */
  planRepairId: string | number;

  /**
   * 流程定义ID，关联wf_definition_config的id
   */
  wfDefinitionId: string | number;

  /**
   * 工单编号
   */
  billsRepairCode: string;

  /**
   * 工单状态（0待检修 1检修中 2检修完成）
   */
  billsStatus: string;

  /**
   * 计划开始时间
   */
  planBeginTime: string;

  /**
   * 计划完成时间;根据计划的时限计算
   */
  planEndTime: string;

  /**
   * 实际开始时间
   */
  realBeginTime: string;

  /**
   * 实际完成时间
   */
  realEndTime: string;

  /**
   * 检修完成率
   */
  repairCompRate: number;

  /**
   * 工单类型（1手工创建 2自动创建）
   */
  instanceType: string;

  /**
   * 激活标识（1是 0否）
   */
  activeFlag: string;

  /**
   * 备注
   */
  remark: string;

}

export interface DmsRepairInstanceForm extends BaseEntity {
  /**
   * 主键标识;此表不会长期保存
   */
  repairInstanceId?: string | number;

  /**
   * 检修计划ID，关联dms_plan_repair的plan_repair_id
   */
  planRepairId?: string | number;

  /**
   * 流程定义ID，关联wf_definition_config的id
   */
  wfDefinitionId?: string | number;

  /**
   * 工单编号
   */
  billsRepairCode?: string;

  /**
   * 工单状态（0待检修 1检修中 2检修完成）
   */
  billsStatus?: string;

  /**
   * 计划开始时间
   */
  planBeginTime?: string;

  /**
   * 计划完成时间;根据计划的时限计算
   */
  planEndTime?: string;

  /**
   * 实际开始时间
   */
  realBeginTime?: string;

  /**
   * 实际完成时间
   */
  realEndTime?: string;

  /**
   * 检修完成率
   */
  repairCompRate?: number;

  /**
   * 工单类型（1手工创建 2自动创建）
   */
  instanceType?: string;

  /**
   * 激活标识（1是 0否）
   */
  activeFlag?: string;

  /**
   * 备注
   */
  remark?: string;

}

export interface DmsRepairInstanceQuery extends PageQuery {

  /**
   * 主键标识;此表不会长期保存
   */
  repairInstanceId?: string | number;

  /**
   * 检修计划ID，关联dms_plan_repair的plan_repair_id
   */
  planRepairId?: string | number;

  /**
   * 流程定义ID，关联wf_definition_config的id
   */
  wfDefinitionId?: string | number;

  /**
   * 工单编号
   */
  billsRepairCode?: string;

  /**
   * 工单状态（0待检修 1检修中 2检修完成）
   */
  billsStatus?: string;

  /**
   * 计划开始时间
   */
  planBeginTime?: string;

  /**
   * 计划完成时间;根据计划的时限计算
   */
  planEndTime?: string;

  /**
   * 实际开始时间
   */
  realBeginTime?: string;

  /**
   * 实际完成时间
   */
  realEndTime?: string;

  /**
   * 检修完成率
   */
  repairCompRate?: number;

  /**
   * 工单类型（1手工创建 2自动创建）
   */
  instanceType?: string;

  /**
   * 激活标识（1是 0否）
   */
  activeFlag?: string;

    /**
     * 日期范围参数
     */
    params?: any;
}



