export interface InspectInstanceDetailProjectVO {
  /**
   * 点巡检工单明细项目信息ID
   */
  instanceDetailProjectId: string | number;

  /**
   * 点巡检工单明细ID，关联dms_inspect_instance_detail主键
   */
  instanceDetailId: string | number;

  /**
   * 巡检项目ID，关联dms_base_inspect_project主键
   */
  inspectProjectId: string | number;

  /**
   * 巡检结果(1正常 0异常);定性需选择，定量的话根据检验结果的具体值自动选择
   */
  inspectProjectStatus: string;

  /**
   * 巡检结果,具体值
   */
  inspectProjectResult: number;

  /**
   * 巡检顺序
   */
  projectStepOrder: number;

  /**
   * 标准值(冗余字段)
   */
  defValue: number;

  /**
   * 巡检项目名称（冗余字段）
   */
  inspectProjectName: string;

  /**
   * 巡检项目属性(1定性 2定量)冗余字段
   */
  inspectProjectProperty: string;

  /**
   * 上差值，检验时从检验项目复制过来的值
   */
  upLimit: number;

  /**
   * 下差值，检验时从检验项目复制过来的值
   */
  lowLimit: number;

  /**
   * 巡检项目描述
   */
  inspectProjectDesc: string;

}

export interface InspectInstanceDetailProjectForm extends BaseEntity {
  /**
   * 点巡检工单明细项目信息ID
   */
  instanceDetailProjectId?: string | number;

  /**
   * 点巡检工单明细ID，关联dms_inspect_instance_detail主键
   */
  instanceDetailId?: string | number;

  /**
   * 巡检项目ID，关联dms_base_inspect_project主键
   */
  inspectProjectId?: string | number;

  /**
   * 巡检结果(1正常 0异常);定性需选择，定量的话根据检验结果的具体值自动选择
   */
  inspectProjectStatus?: string;

  /**
   * 巡检结果,具体值
   */
  inspectProjectResult?: number;

  /**
   * 巡检顺序
   */
  projectStepOrder?: number;

  /**
   * 标准值(冗余字段)
   */
  defValue?: number;

  /**
   * 巡检项目名称（冗余字段）
   */
  inspectProjectName?: string;

  /**
   * 巡检项目属性(1定性 2定量)冗余字段
   */
  inspectProjectProperty?: string;

  /**
   * 上差值，检验时从检验项目复制过来的值
   */
  upLimit?: number;

  /**
   * 下差值，检验时从检验项目复制过来的值
   */
  lowLimit?: number;

  /**
   * 巡检项目描述
   */
  inspectProjectDesc?: string;

}

export interface InspectInstanceDetailProjectQuery extends PageQuery {

  /**
   * 点巡检工单明细项目信息ID
   */
  instanceDetailProjectId?: string | number;

  /**
   * 点巡检工单明细ID，关联dms_inspect_instance_detail主键
   */
  instanceDetailId?: string | number;

  /**
   * 巡检项目ID，关联dms_base_inspect_project主键
   */
  inspectProjectId?: string | number;

  /**
   * 巡检结果(1正常 0异常);定性需选择，定量的话根据检验结果的具体值自动选择
   */
  inspectProjectStatus?: string;

  /**
   * 巡检结果,具体值
   */
  inspectProjectResult?: number;

  /**
   * 巡检顺序
   */
  projectStepOrder?: number;

  /**
   * 标准值(冗余字段)
   */
  defValue?: number;

  /**
   * 巡检项目名称（冗余字段）
   */
  inspectProjectName?: string;

  /**
   * 巡检项目属性(1定性 2定量)冗余字段
   */
  inspectProjectProperty?: string;

  /**
   * 上差值，检验时从检验项目复制过来的值
   */
  upLimit?: number;

  /**
   * 下差值，检验时从检验项目复制过来的值
   */
  lowLimit?: number;

  /**
   * 巡检项目描述
   */
  inspectProjectDesc?: string;

    /**
     * 日期范围参数
     */
    params?: any;
}



