export interface BaseMeasurementUnitInfoVO {
  /**
   * 主键标识
   */
  unitId: string | number;

  /**
   * 父级标识
   */
  parentId: string | number;

  /**
   * 计量单位编号
   */
  unitCode: string;

  /**
   * 计量单位名称
   */
  unitName: string;

  /**
   * 计量单位转换（与最顶级转换关系，最顶级是1）
   */
  unitConversion: number;

  /**
   * 祖级列表
   */
  ancestors: string;

  /**
   * 单位类型（1长度 2质量 3时间 4面积 5体积）
   */
  unitType: string;

  /**
   * 备注
   */
  remark: string;

  /**
   * 激活标识(1是 0否)
   */
  activeFlag: string;

  /**
   * 创建部门
   */
  createDept: number;

  /**
   * 创建人
   */
  createBy: number;

  /**
   * 创建时间
   */
  createTime: string;

  /**
   * 更新人
   */
  updateBy: number;

  /**
   * 更新时间
   */
  updateTime: string;

    /**
     * 子对象
     */
    children: BaseMeasurementUnitInfoVO[];
}

export interface BaseMeasurementUnitInfoForm extends BaseEntity {
  /**
   * 主键标识
   */
  unitId?: string | number;

  /**
   * 父级标识
   */
  parentId?: string | number;

  /**
   * 计量单位编号
   */
  unitCode?: string;

  /**
   * 计量单位名称
   */
  unitName?: string;

  /**
   * 计量单位转换（与最顶级转换关系，最顶级是1）
   */
  unitConversion?: number;

  /**
   * 祖级列表
   */
  ancestors?: string;

  /**
   * 单位类型（1长度 2质量 3时间 4面积 5体积）
   */
  unitType?: string;

  /**
   * 备注
   */
  remark?: string;

  /**
   * 激活标识(1是 0否)
   */
  activeFlag?: string;

}

export interface BaseMeasurementUnitInfoQuery {

  /**
   * 主键标识
   */
  unitId?: string | number;

  /**
   * 父级标识
   */
  parentId?: string | number;

  /**
   * 计量单位编号
   */
  unitCode?: string;

  /**
   * 计量单位名称
   */
  unitName?: string;

  /**
   * 计量单位转换（与最顶级转换关系，最顶级是1）
   */
  unitConversion?: number;

  /**
   * 祖级列表
   */
  ancestors?: string;

  /**
   * 单位类型（1长度 2质量 3时间 4面积 5体积）
   */
  unitType?: string;

  /**
   * 激活标识(1是 0否)
   */
  activeFlag?: string;

    /**
     * 日期范围参数
     */
    params?: any;
}



