export interface MouldChangePlanVO {
  /**
   * 主键标识
   */
  mouldChangePlanId: string | number;

  /**
   * 生产计划ID
   */
  planId: string | number;

  /**
   * 计划时间
   */
  planDate: string;

  /**
   * 班次ID
   */
  shiftId: string | number;

  /**
   * 模具ID
   */
  mouldId: string | number;

  /**
   * 物料ID;成品ID
   */
  materialId: string | number;

  /**
   * 机台ID
   */
  machineId: string | number;

  /**
   * 模号（L左模 R右模）
   */
  modelCode: string;

  /**
   * 计划状态（0未执行 1已执行）
   */
  planStatus: string;

  /**
   * 备注
   */
  remark: string;

  /**
   * 创建部门
   */
  createDept: number;

  /**
   * 创建人
   */
  createBy: number;

  /**
   * 创建时间
   */
  createTime: string;

  /**
   * 更新人
   */
  updateBy: number;

  /**
   * 更新时间
   */
  updateTime: string;

}

export interface MouldChangePlanForm extends BaseEntity {
  /**
   * 主键标识
   */
  mouldChangePlanId?: string | number;

  /**
   * 生产计划ID
   */
  planId?: string | number;

  /**
   * 计划时间
   */
  planDate?: string;

  /**
   * 班次ID
   */
  shiftId?: string | number;

  /**
   * 模具ID
   */
  mouldId?: string | number;

  /**
   * 物料ID;成品ID
   */
  materialId?: string | number;

  /**
   * 机台ID
   */
  machineId?: string | number;

  /**
   * 模号（L左模 R右模）
   */
  modelCode?: string;

  /**
   * 计划状态（0未执行 1已执行）
   */
  planStatus?: string;

  /**
   * 备注
   */
  remark?: string;

}

export interface MouldChangePlanQuery extends PageQuery {

  /**
   * 主键标识
   */
  mouldChangePlanId?: string | number;

  /**
   * 生产计划ID
   */
  planId?: string | number;

  /**
   * 计划时间
   */
  planDate?: string;

  /**
   * 班次ID
   */
  shiftId?: string | number;

  /**
   * 模具ID
   */
  mouldId?: string | number;

  /**
   * 物料ID;成品ID
   */
  materialId?: string | number;

  /**
   * 机台ID
   */
  machineId?: string | number;

  /**
   * 模号（L左模 R右模）
   */
  modelCode?: string;

  /**
   * 计划状态（0未执行 1已执行）
   */
  planStatus?: string;

    /**
     * 日期范围参数
     */
    params?: any;
}



