export interface SamplePrescriptionVO {
  /**
   * 主键标识
   */
  sampleId: string | number;

  /**
   * 工序ID
   */
  processId: string | number;

  /**
   * 物料ID
   */
  materialId: string | number;

  /**
   * 物料BOMID
   */
  materialBomId: string | number;

  /**
   * 工艺ID
   */
  technologyId: string | number;

  /**
   * 对象存储ID
   */
  oosId: string | number;

  /**
   * 文件名
   */
  originalName: string;

  /**
   * 文件地址
   */
  fileUrl: string;

  /**
   * 激活标识（1是 0否）
   */
  activeFlag: string;

  /**
   * 备注
   */
  remark: string;

  /**
   * 创建人
   */
  createBy: number;

  /**
   * 创建时间
   */
  createTime: string;

}

export interface SamplePrescriptionForm extends BaseEntity {
  /**
   * 主键标识
   */
  sampleId?: string | number;

  /**
   * 工序ID
   */
  processId?: string | number;

  /**
   * 物料ID
   */
  materialId?: string | number;

  /**
   * 物料BOMID
   */
  materialBomId?: string | number;

  /**
   * 工艺ID
   */
  technologyId?: string | number;

  /**
   * 对象存储ID
   */
  oosId?: string | number;

  /**
   * 文件名
   */
  originalName?: string;

  /**
   * 文件地址
   */
  fileUrl?: string;

  /**
   * 激活标识（1是 0否）
   */
  activeFlag?: string;

  /**
   * 备注
   */
  remark?: string;

  /**
   * 文件
   */
  file?: string | [];

}

export interface SamplePrescriptionQuery extends PageQuery {

  /**
   * 主键标识
   */
  sampleId?: string | number;

  /**
   * 工序ID
   */
  processId?: string | number;

  /**
   * 物料ID
   */
  materialId?: string | number;

  /**
   * 物料BOMID
   */
  materialBomId?: string | number;

  /**
   * 工艺ID
   */
  technologyId?: string | number;

  /**
   * 对象存储ID
   */
  oosId?: string | number;

  /**
   * 文件名
   */
  originalName?: string;

  /**
   * 文件地址
   */
  fileUrl?: string;

  /**
   * 激活标识（1是 0否）
   */
  activeFlag?: string;

  /**
   * 创建人
   */
  createBy?: number;

  /**
   * 创建时间
   */
  createTime?: string;

    /**
     * 日期范围参数
     */
    params?: any;
}



