export interface DynamicStandardVO {
  /**
   * 规格编码
   */
  speCode: string;

  /**
   * 规格名称
   */
  speName: string;

  /**
   * 动平衡质检标准
   */
  dynamicStandard: string;

  /**
   * X光质检标准
   */
  xrayStandard: string;

  /**
   * 均匀性质检标准
   */
  uniformityStandard: string;

}

export interface DynamicStandardForm extends BaseEntity {
  /**
   * 主键标识
   */
  standardId?: string | number;

  /**
   * 规格编码
   */
  speCode?: string;

  /**
   * 规格名称
   */
  speName?: string;

  /**
   * 动平衡质检标准
   */
  dynamicStandard?: string;

  /**
   * X光质检标准
   */
  xrayStandard?: string;

  /**
   * 均匀性质检标准
   */
  uniformityStandard?: string;

  /**
   * 预留字段
   */
  attr1?: string;

  /**
   * 预留字段
   */
  attr2?: string;

  /**
   * 预留字段
   */
  attr3?: string;

  /**
   * 预留字段
   */
  attr4?: string;

}

export interface DynamicStandardQuery extends PageQuery {

  /**
   * 规格编码
   */
  speCode?: string;

  /**
   * 规格名称
   */
  speName?: string;

  /**
   * 动平衡质检标准
   */
  dynamicStandard?: string;

  /**
   * X光质检标准
   */
  xrayStandard?: string;

  /**
   * 均匀性质检标准
   */
  uniformityStandard?: string;

    /**
     * 日期范围参数
     */
    params?: any;
}



