export interface AllocateOrderVO {
  /**
   * 表主键
   */
  aoId: string | number;

  /**
   * 调拨单号
   */
  allocateOrderCode: string;

  /**
   * 物料大类
   */
  materialCategoryId: string;

  materialCategoryName: string;

  /**
   * 出库仓库ID
   */
  planWarehouseId: string | number;

  /**
   * 工单状态
   */
  orderStatus: string;

  /**
   * 入库仓库ID
   */
  targetWarehouseId: string | number;

  /**
   * 审核人
   */
  auditBy: string;

  /**
   * 审核时间
   */
  auditTime: string;

  /**
   * 审核状态(0待审核,1审核通过,2审核未通过)
   */
  auditStatus: string;

  /**
   * 审核意见
   */
  auditComments: string;

  /**
   * 是否创建出库单
   */
  createOut: string;

  /**
   * 出库单号
   */
  outCode: string;

  /**
   * 是否创建入库单
   */
  createIn: string;

  /**
   * 入库单号
   */
  inCode: string;

  /**
   * 入库方式
   */
  inMethod: string;

}

export interface AllocateOrderForm extends BaseEntity {
  /**
   * 表主键
   */
  aoId?: string | number;

  /**
   * 调拨单号
   */
  allocateOrderCode?: string;

  /**
   * 物料大类
   */
  materialCategoryId?: string;

  materialCategoryName?: string;

  /**
   * 出库仓库ID
   */
  planWarehouseId?: string | number;

  /**
   * 工单状态
   */
  orderStatus?: string;

  /**
   * 入库仓库ID
   */
  targetWarehouseId?: string | number;

  /**
   * 审核人
   */
  auditBy?: string;

  /**
   * 审核时间
   */
  auditTime?: string;

  /**
   * 审核状态(0待审核,1审核通过,2审核未通过)
   */
  auditStatus?: string;

  /**
   * 审核意见
   */
  auditComments?: string;

  /**
   * 是否创建出库单
   */
  createOut?: string;

  /**
   * 出库单号
   */
  outCode?: string;

  /**
   * 是否创建入库单
   */
  createIn?: string;

  /**
   * 入库单号
   */
  inCode?: string;

  /**
   * 入库方式
   */
  inMethod?: string;

}

export interface AllocateOrderQuery extends PageQuery {

  /**
   * 表主键
   */
  aoId?: string | number;

  /**
   * 调拨单号
   */
  allocateOrderCode?: string;

  /**
   * 物料大类
   */
  materialCategoryId?: string;

  materialCategoryName?: string;

  /**
   * 出库仓库ID
   */
  planWarehouseId?: string | number;

  /**
   * 工单状态
   */
  orderStatus?: string;

  /**
   * 入库仓库ID
   */
  targetWarehouseId?: string | number;

  /**
   * 审核人
   */
  auditBy?: string;

  /**
   * 审核时间
   */
  auditTime?: string;

  /**
   * 审核状态(0待审核,1审核通过,2审核未通过)
   */
  auditStatus?: string;

  /**
   * 审核意见
   */
  auditComments?: string;

  /**
   * 是否创建出库单
   */
  createOut?: string;

  /**
   * 出库单号
   */
  outCode?: string;

  /**
   * 是否创建入库单
   */
  createIn?: string;

  /**
   * 入库单号
   */
  inCode?: string;

  /**
   * 入库方式
   */
  inMethod?: string;

    /**
     * 日期范围参数
     */
    params?: any;
}



