export interface HppTransferVO {
  /**
   * 表主键
   */
  transferId: string | number;

  /**
   * 物料ID
   */
  materialId: string | number;

  /**
   * 流水卡号
   */
  cardNo: string;

  /**
   * 工装架子号
   */
  shelfNo: string;

  /**
   * 库位编码
   */
  storePlaceCode: string;

  /**
   * 调拨库位
   */
  transferPlaceCode: string;

  /**
   * 创建人
   */
  createBy: number;

  /**
   * 创建时间
   */
  createTime: string;

}

export interface HppTransferForm extends BaseEntity {
  /**
   * 表主键
   */
  transferId: string | number;
  /**
   * 物料ID
   */
  materialId?: string | number;

  /**
   * 流水卡号
   */
  cardNo?: string;

  /**
   * 工装架子号
   */
  shelfNo?: string;

  /**
   * 库位编码
   */
  storePlaceCode?: string;

  /**
   * 调拨库位
   */
  transferPlaceCode?: string;

}

export interface HppTransferQuery extends PageQuery {
  /**
   * 表主键
   */
  transferId: string | number;

  /**
   * 物料ID
   */
  materialId?: string | number;

  /**
   * 流水卡号
   */
  cardNo?: string;

  /**
   * 工装架子号
   */
  shelfNo?: string;

  /**
   * 库位编码
   */
  storePlaceCode?: string;

  /**
   * 调拨库位
   */
  transferPlaceCode?: string;

    /**
     * 日期范围参数
     */
    params?: any;
}



