export interface InstockDetailVO {
  /**
   * 入库单子表主键
   */
  instockDetailId: string | number;

  /**
   * 入库单 主键
   */
  instockId: string | number;

  /**
   * 入库单号
   */
  instockCode: string;

  /**
   * 送货-物料表主键
   */
  dnDId: string | number;

  /**
   * 采购-物料表主键
   */
  poDId: string | number;

  /**
   * 物料id
   */
  materialId: string | number;

  /**
   * 物料编码
   */
  materialCode: string;

  /**
   * 物料名称
   */
  materialName: string;

  /**
   * 入库数量
   */
  instockQty: number;
  /**
   * 已分包数量
   */
  printedNum: number;

  /**
   * 物料规格
   */
  materialSpe: string;

  /**
   * 计量单位名称
   */
  unitName: string;

  /**
   * 是否有条码
   */
  codeYesNo: string;

  /**
   * 物料大类
   */
  materialCategoryId: string;

  materialCategoryName?: string;

}

export interface InstockDetailForm extends BaseEntity {
  /**
   * 入库单子表主键
   */
  instockDetailId?: string | number;

  /**
   * 入库单 主键
   */
  instockId?: string | number;

  /**
   * 入库单号
   */
  instockCode?: string;

  /**
   * 送货-物料表主键
   */
  dnDId?: string | number;

  /**
   * 采购-物料表主键
   */
  poDId?: string | number;

  /**
   * 物料id
   */
  materialId?: string | number;

  /**
   * 物料编码
   */
  materialCode?: string;

  /**
   * 物料名称
   */
  materialName?: string;

  /**
   * 入库数量
   */
  instockQty?: number;

  /**
   * 物料规格
   */
  materialSpe?: string;

  /**
   * 计量单位名称
   */
  unitName?: string;

  /**
   * 是否有条码
   */
  codeYesNo?: string;

  /**
   * 物料大类
   */
  materialCategoryId?: string;

  materialCategoryName?: string;

}

export interface InstockDetailQuery extends PageQuery {

  /**
   * 入库单子表主键
   */
  instockDetailId?: string | number;

  /**
   * 入库单 主键
   */
  instockId?: string | number;

  /**
   * 入库单号
   */
  instockCode?: string;

  /**
   * 送货-物料表主键
   */
  dnDId?: string | number;

  /**
   * 采购-物料表主键
   */
  poDId?: string | number;

  /**
   * 物料id
   */
  materialId?: string | number;

  /**
   * 物料编码
   */
  materialCode?: string;

  /**
   * 物料名称
   */
  materialName?: string;

  /**
   * 入库数量
   */
  instockQty?: number;

  /**
   * 物料规格
   */
  materialSpe?: string;

  /**
   * 计量单位名称
   */
  unitName?: string;

  /**
   * 是否有条码
   */
  codeYesNo?: string;

  /**
   * 物料大类
   */
  materialCategoryId?: string;

  materialCategoryName?: string;

    /**
     * 日期范围参数
     */
    params?: any;
}



