export interface OutstockDetailVO {
  /**
   * 表主键
   */
  outstockDetailId: string | number;

  /**
   * 出库单号
   */
  outstockCode: string;

  /**
   * 出库单 主键
   */
  outstockId: string | number;

  /**
   * 物料id
   */
  materialId: string | number;

  /**
   * 出库数量
   */
  outstockQty: number;

  /**
   * 物料大类
   */
  materialCategoryId: string;

  materialCategoryName?: string;


  /**
   * 物料代码
   */
  materialCode: string;

}

export interface OutstockDetailForm extends BaseEntity {
  /**
   * 表主键
   */
  outstockDetailId?: string | number;

  /**
   * 出库单号
   */
  outstockCode?: string;

  /**
   * 出库单 主键
   */
  outstockId?: string | number;

  /**
   * 物料id
   */
  materialId?: string | number;

  /**
   * 出库数量
   */
  outstockQty?: number;

  /**
   * 物料大类
   */
  materialCategoryId?: string;

  materialCategoryName?: string;

}

export interface OutstockDetailQuery extends PageQuery {

  /**
   * 表主键
   */
  outstockDetailId?: string | number;

  /**
   * 出库单号
   */
  outstockCode?: string;

  /**
   * 出库单 主键
   */
  outstockId?: string | number;

  /**
   * 物料id
   */
  materialId?: string | number;

  /**
   * 出库数量
   */
  outstockQty?: number;

  /**
   * 物料大类
   */
  materialCategoryId?: string;

  materialCategoryName?: string;

    /**
     * 日期范围参数
     */
    params?: any;
}



