export interface OutstockRecordVO {
  /**
   * 出库记录主键
   */
  outstockRecordId: string | number;

  /**
   * 出库单号
   */
  outstockCode: string;

  /**
   * 出库单 主键
   */
  outstockId: string | number;

  /**
   * 批次码
   */
  batchCode: string;

  /**
   * 物料id
   */
  materialId: string | number;

  /**
   * 库位编码
   */
  locationCode: string;

  /**
   * 出库数量
   */
  outstockQty: number;

  /**
   * 物料大类
   */
  materialCategoryId: string;

  materialCategoryName?: string;


  /**
   * 出库人
   */
  createBy: string;

  /**
   * 提交时间
   */
  createTime: string;

  /**
   * erp同步状态
   */
  erpSynchronousStatus: string;

  /**
   * erp同步数量
   */
  erpSynchronousQty: number;

}

export interface OutstockRecordForm extends BaseEntity {
  /**
   * 出库记录主键
   */
  outstockRecordId?: string | number;

  /**
   * 出库单号
   */
  outstockCode?: string;

  /**
   * 出库单 主键
   */
  outstockId?: string | number;

  /**
   * 批次码
   */
  batchCode?: string;

  /**
   * 物料id
   */
  materialId?: string | number;

  /**
   * 库位编码
   */
  locationCode?: string;

  /**
   * 出库数量
   */
  outstockQty?: number;

  /**
   * 物料大类
   */
  materialCategoryId?: string;

  materialCategoryName?: string;

  /**
   * 出库人
   */
  createBy?: string;

  /**
   * erp同步状态
   */
  erpSynchronousStatus?: string;

  /**
   * erp同步数量
   */
  erpSynchronousQty?: number;

}

export interface OutstockRecordQuery extends PageQuery {

  /**
   * 出库单号
   */
  outstockCode?: string;

  /**
   * 库位编码
   */
  locationCode?: string;

  /**
   * 物料大类
   */
  materialCategoryId?: string;

  materialCategoryName?: string;

  /**
   * erp同步状态
   */
  erpSynchronousStatus?: string;

    /**
     * 日期范围参数
     */
    params?: any;
}



