export interface ReturnOrderVO {
  /**
   * 表主键
   */
  roId: string | number;

  /**
   * 物料ID
   */
  materialId: string | number;

  /**
   * 物料大类
   */
  materialCategoryId: string;

  materialCategoryName?: string;

  /**
   * 批次条码
   */
  batchCode: string;

  /**
   * 计划数量
   */
  planAmount: number;

  /**
   * 仓库ID
   */
  warehouseId: string | number;

  /**
   * 计划退库库位
   */
  planLocationCode: string;

  /**
   * 退库工单状态
   */
  orderStatus: string;

  /**
   * 实际数量
   */
  returnAmount: number;

  /**
   * 实际退库库位
   */
  returnLocationCode: string;

  /**
   * 审核人
   */
  auditBy: string;

  /**
   * 审核时间
   */
  auditTime: string;

  /**
   * 审核状态(0待审核,1审核通过,2审核未通过)
   */
  auditStatus: string;

  /**
   * 审核意见
   */
  auditComments: string;

  /**
   * erp同步状态
   */
  erpSynchronousStatus: string;

  /**
   * erp同步数量
   */
  erpSynchronousQty: number;

}

export interface ReturnOrderForm extends BaseEntity {
  /**
   * 表主键
   */
  roId?: string | number;

  /**
   * 物料ID
   */
  materialId?: string | number;

  /**
   * 物料大类
   */
  materialCategoryId?: string;

  materialCategoryName?: string;


  /**
   * 批次条码
   */
  batchCode?: string;

  /**
   * 计划数量
   */
  planAmount?: number;

  /**
   * 仓库ID
   */
  warehouseId?: string | number;

  /**
   * 计划退库库位
   */
  planLocationCode?: string;

  /**
   * 退库工单状态
   */
  orderStatus?: string;

  /**
   * 实际数量
   */
  returnAmount?: number;

  /**
   * 实际退库库位
   */
  returnLocationCode?: string;

  /**
   * 审核人
   */
  auditBy?: string;

  /**
   * 审核时间
   */
  auditTime?: string;

  /**
   * 审核状态(0待审核,1审核通过,2审核未通过)
   */
  auditStatus?: string;

  /**
   * 审核意见
   */
  auditComments?: string;

  /**
   * erp同步状态
   */
  erpSynchronousStatus?: string;

  /**
   * erp同步数量
   */
  erpSynchronousQty?: number;

}

export interface ReturnOrderQuery extends PageQuery {

  /**
   * 表主键
   */
  roId?: string | number;

  /**
   * 物料ID
   */
  materialId?: string | number;

  /**
   * 物料大类
   */
  materialCategoryId?: string;

  materialCategoryName?: string;

  /**
   * 批次条码
   */
  batchCode?: string;

  /**
   * 计划数量
   */
  planAmount?: number;

  /**
   * 仓库ID
   */
  warehouseId?: string | number;

  /**
   * 计划退库库位
   */
  planLocationCode?: string;

  /**
   * 退库工单状态
   */
  orderStatus?: string;

  /**
   * 实际数量
   */
  returnAmount?: number;

  /**
   * 实际退库库位
   */
  returnLocationCode?: string;

  /**
   * 审核人
   */
  auditBy?: string;

  /**
   * 审核时间
   */
  auditTime?: string;

  /**
   * 审核状态(0待审核,1审核通过,2审核未通过)
   */
  auditStatus?: string;

  /**
   * 审核意见
   */
  auditComments?: string;

  /**
   * erp同步状态
   */
  erpSynchronousStatus?: string;

  /**
   * erp同步数量
   */
  erpSynchronousQty?: number;

    /**
     * 日期范围参数
     */
    params?: any;
}



